#
# spec file for package python-orbit (Version 2.0.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip indent info insserv klogd less libacl libattr libcom_err libdrm libgcc libidl libidl-devel libjpeg libnscd libpng libpng-devel libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python python-devel python-numeric rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           python-orbit
BuildRequires:  gtk2-devel indent libidl-devel orbit2-devel python-devel python-numeric update-desktop-files
URL:            http://ftp.gnome.org/pub/GNOME/sources/pyorbit/
%define pyver %(python -c 'import sys; print sys.version[:3]')
%define python python
Summary:        Python bindings for ORBit
Version:        2.0.1
Release:        19.2
License:        LGPL
Group:          Development/Libraries/Python
Source:         pyorbit-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Autoreqprov:    on
%{py_requires}

%description
Python bindings for ORBit. ORBit is the CORBA Object Request Broker
used e.g. by GNOME.



Authors:
--------
    James Henstridge <james@daa.com.au>

%debug_package
%prep
%setup -q -n pyorbit-%{version}
%{?suse_update_config:%{suse_update_config -f}}
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" %{configure}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root, 755)
%{_prefix}/%{_lib}/python%{py_ver}/site-packages/*
%{_prefix}/include/pyorbit-2
%{_prefix}/%{_lib}/pkgconfig/pyorbit-2.pc
%doc AUTHORS COPYING NEWS README TODO ChangeLog

%changelog -n python-orbit
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Feb 08 2005 - mcihar@suse.cz
- use %%{py_requires}
- no need to recompile python modules with current automake macros
* Wed Nov 24 2004 - mcihar@suse.cz
- update to 2.0.1
* Tue Nov 23 2004 - ro@suse.de
- fix build for <= 9.0 (only py_ver works everywhere)
* Mon Apr 19 2004 - mcihar@suse.cz
- -fno-strict-aliasing
* Wed Oct 15 2003 - mcihar@suse.cz
- don't build as root
- spec file cleanup
* Tue Sep 02 2003 - mcihar@suse.cz
- updated to 2.0.0 (final GNOME 2 version, just minor bugfixes)
* Tue Aug 26 2003 - mcihar@suse.cz
- updated to 1.99.7:
- fix a problem with handling of exceptions that was uncovered
  by Python 2.3.
- disable assigning to unknown attributes on stub instances.  Saves
  a little memory too.
- add CORBA.ORB.work_pending() and CORBA.ORB.perform_work() methods.
* Thu Aug 07 2003 - mcihar@suse.cz
- updated to pyorbit-1.99.6:
- clean up base class list when building client stubs.  This
  is needed in order for the stubs to work with Python 2.3.
- fix some possible segfaults if the argument names are
  missing in the IInterface structures, which occurs when
  using ORBit.load_file().
- Work with latest HEAD branch (ORBit2 2.7.x).
- allow importing of CORBA or PortableServer without first
  importing ORBit.  This gives better compatibility with
  standard CORBA mapping.
- None is not a valid string/wstring value.
- accept strings for sequence<octet>.
- recompile python code to contain correct paths
* Mon Jun 16 2003 - mcihar@suse.cz
- removed \ at the end of Makefile.am
* Mon May 12 2003 - mcihar@suse.cz
- use versioned dependency on python
* Mon May 05 2003 - mcihar@suse.cz
- as orbit-python went away, this package is based on pyorbit
* Wed Nov 27 2002 - mcihar@suse.cz
- cleaned up specfile
- fixed building for lib64 (this is temporary, should be fixed in autoconf)
* Wed Nov 27 2002 - mcihar@suse.cz
- initial version (needed for python-gnome)
- this work only with GNOME 2
